Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

fix rspec

  • Loading branch information...
commit cda2970286b8eef3aafcda2a8bd9412111ec866e 1 parent 306a3be
Morgan Christiansson authored
View
10 Gemfile
@@ -1,14 +1,12 @@
source "http://rubygems.org"
-# Add dependencies required to use your gem here.
-# Example:
-# gem "activesupport", ">= 2.3.5"
gem "httparty"
-# Add dependencies to develop your gem here.
-# Include everything needed to run rake, tests, features, etc.
+gem "activesupport"
+gem "i18n"
+
group :development do
- gem "rspec", "~> 2.3.0"
+ gem "rspec"
gem "bundler"
gem "jeweler", "~> 1.6.2"
gem "rcov", ">= 0"
View
24 Gemfile.lock
@@ -1,32 +1,38 @@
GEM
remote: http://rubygems.org/
specs:
+ activesupport (3.1.1)
+ multi_json (~> 1.0)
crack (0.1.8)
- diff-lcs (1.1.2)
+ diff-lcs (1.1.3)
git (1.2.5)
httparty (0.7.8)
crack (= 0.1.8)
+ i18n (0.6.0)
jeweler (1.6.2)
bundler (~> 1.0)
git (>= 1.2.5)
rake
+ multi_json (1.0.4)
rake (0.9.2)
rcov (0.9.9)
- rspec (2.3.0)
- rspec-core (~> 2.3.0)
- rspec-expectations (~> 2.3.0)
- rspec-mocks (~> 2.3.0)
- rspec-core (2.3.1)
- rspec-expectations (2.3.0)
+ rspec (2.8.0)
+ rspec-core (~> 2.8.0)
+ rspec-expectations (~> 2.8.0)
+ rspec-mocks (~> 2.8.0)
+ rspec-core (2.8.0)
+ rspec-expectations (2.8.0)
diff-lcs (~> 1.1.2)
- rspec-mocks (2.3.0)
+ rspec-mocks (2.8.0)
PLATFORMS
ruby
DEPENDENCIES
+ activesupport
bundler
httparty
+ i18n
jeweler (~> 1.6.2)
rcov
- rspec (~> 2.3.0)
+ rspec
View
3  lib/ruby-postcodeanywhere.rb
@@ -1,4 +1,5 @@
require 'httparty'
+require 'active_support/core_ext/module/attribute_accessors'
module PostcodeAnywhere
@@ -137,4 +138,4 @@ class AddressListItem
end
-end
+end
View
4 spec/ruby-postcodeanywhere_spec.rb
@@ -1,6 +1,6 @@
-require File.expand_path(File.dirname(__FILE__) + '/spec_helper')
+require 'spec_helper'
-describe "RubyPostcodeanywhere" do
+describe PostcodeAnywhere do
it "fails" do
fail "hey buddy, you should probably rename this file and start specing for real"
end
View
12 spec/spec_helper.rb
@@ -1,12 +1,8 @@
-$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
-$LOAD_PATH.unshift(File.dirname(__FILE__))
-require 'rspec'
-require 'ruby-postcodeanywhere'
+require 'rubygems'
+require 'bundler/setup'
-# Requires supporting files with custom matchers and macros, etc,
-# in ./support/ and its subdirectories.
-Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}
+require 'ruby-postcodeanywhere'
RSpec.configure do |config|
-
end
+
Please sign in to comment.
Something went wrong with that request. Please try again.